### Method

# Foundry TextDocument dup_title

#### Declaration [src]

    char*
    foundry_text_document_dup_title (
      FoundryTextDocument* self
    )

#### Description [src]

Gets the title for the document.

#### Return value

Type: `char*`

A string or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.